## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMapConstIteratorTraits Struct Template Reference

`#include <XalanMap.hpp>`

List of all members.

## Public Types

- typedef Value value_type
- typedef const Value& reference
- typedef const Value* pointer

### template<class Value> struct XalanMapConstIteratorTraits

## Member Typedef Documentation

template<class Value>
typedef const Value * XalanMapConstIteratorTraits<Value>::pointer

template<class Value>
typedef const Value & XalanMapConstIteratorTraits<Value>::reference

template<class Value>
typedef Value XalanMapConstIteratorTraits<Value>::value_type

The documentation for this struct was generated from the following file:

- XalanMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.